#include <iostream>
#include <string>
#include <algorithm>
#include <vector>

std::string zfill(const std::string& str, size_t width) {
    return std::string(width - str.size(), '0') + str;
}

int main() {
    std::string sa, sb;
    std::cin >> sa >> sb;

    size_t lsa = sa.length();
    size_t lsb = sb.length();
    size_t mal = std::max(lsa, lsb);

    sa = zfill(sa, mal);
    sb = zfill(sb, mal);

    std::string s;
    for (size_t i = 0; i < mal; ++i) {
        s += std::max(sa[i], sb[i]);
    }

    std::string p;
    for (size_t i = 0; i < lsb; ++i) {
        std::string min_part;
        for (size_t j = 0; j < lsa; ++j) {
            min_part += std::min(sa[j], sb[i]);
        }
        min_part += std::string(i, '0'); // Append '0' * i
        min_part = zfill(min_part, lsa * lsb); // Ensure it is zero-filled to the required width

        // Update p with the maximum characters
        for (size_t k = 0; k < min_part.size(); ++k) {
            if (k >= p.size()) {
                p += min_part[k];
            } else {
                p[k] = std::max(p[k], min_part[k]);
            }
        }
    }

    // Remove leading zeros
    p.erase(0, p.find_first_not_of('0'));
    if (p.empty()) {
        p = "0"; // If p is empty, it means it was all zeros
    }

    std::cout << s << " " << p << std::endl;

    return 0;
}